name: Build and Push Docker Image

on:
  push:
    branches:
      - main
      - master

jobs:
  build:
    runs-on: ubuntu-latest
    steps:
      - name: 1. Code auschecken
        uses: actions/checkout@v3

      - name: 2. Docker Image bauen
        run: |
          # Wir bauen das Image mit dem offiziellen Namen
          docker build -t gitea.simonaltschaeffl.de/simon_admin/homepage:latest .

      - name: 3. Login in die Gitea Registry
        run: |
          # Wir nutzen jetzt dein neues Secret REGISTRY_TOKEN
          echo "${{ secrets.REGISTRY_TOKEN }}" | docker login gitea.simonaltschaeffl.de -u simon_admin --password-stdin

      - name: 4. Docker Image pushen
        run: |
          # Der Push geht jetzt über die interne Route, die wir im Runner-Deployment (hostAliases) festlegen
          docker push gitea.simonaltschaeffl.de/simon_admin/homepage:latest